<template>
  <n-data-table
    :columns="columns"
    :data="tableData"
    :pagination="pagination"
  />
</template>

<script lang="ts">
import { defineComponent, ref, computed } from 'vue'
import { useUserAccountStore } from '@/store/index'
const userAccountStore = useUserAccountStore();
const tableData = ref<ApiuserAccount.userAccount[]>([]);
function setTableData(data: ApiuserAccount.userAccount[]) {
  tableData.value = data;
}

async function getTableData() {
  userAccountStore.getUserAccount();
  // userAccountStore.getUserAccountTempateJson();
  // const userTemplate = userAccountStore.getUserAccountTempateJson;
  // console.log('userTemplate', userTemplate);
  const data = userAccountStore.userList;
  console.log('data', data);
  if (data) {
    setTimeout(() => {
      setTableData(data);
    }, 1000);
  }
}

// const data = userAccountStore.userList;

export default defineComponent({
  setup() {
    methods: {
      getTableData();      
    }
    const paginationRef = ref({ pageSize: 5 })
    const columnsRef = computed(() => [
      {
        title: 'Name',
        key: 'name'
      },
      {
        title: 'Code',
        key: 'code',
      },
      {
        title: 'Gender',
        key: 'genderValue',
      },
      {
        title: 'Rule',
        key: 'ruleName',
      },
      {
        title: 'Branch',
        key: 'branchName',
      },
      {
        title: 'Department',
        key: 'departmentName',
      },
      {
        title: 'Status',
        key: 'statusValue',
      },
    ])
    return {
      columns: columnsRef,
      tableData,
      pagination: paginationRef
    }
  }
})
function init() {
  getTableData();
}

// 初始化
init();
</script>

